version: '3'
services:
  database:
    image: postgres:9.6.1
    restart: always
    env_file:
      - prod.env
    volumes:
      - database:/var/lib/postgresql/data

  nginx:
    image: nginx:latest
    volumes:
      - static-files:/static-files
      - media-files:/media-files
      - ./nginx:/etc/nginx/conf.d
      - "/etc/letsencrypt:/etc/letsencrypt:ro"
    ports:
      - "80:80"
      - "443:443"
    command: /bin/bash -c "nginx -g 'daemon off;'"

  app:
    image: registry.gitlab.propulsion-home.ch/full-stack/solutions/week6-assignment-week/motion-backend:master
    restart: always
    env_file:
      - prod.env
    depends_on:
      - database
    command: 'sh /scripts/run.sh'
    volumes:
      - static-files:/static-files
      - media-files:/media-files

volumes:
  database:
  static-files:
  media-files:
